trouble - versions

Hi,

I try to install OC 3.12 on Debian 8 (Jessie).
I installed and set sun jdk 8.
I installed tomcat8.

With some fight I have "no such page" error when visiting myhost:8080/OpenClinica/
It is redirected to the login page (visible on the location bar), but I get only a blank page.

I have numerous errors in the log files, indicating that tomcat cannot compile the JSPs. I have the feeling that this is because incompatible tomcat.

What is the best version of jdk, tomcat, and postgresql (I have 9.4) to use with OC 3.12?
Do you suggest to install it on Debian as in the OC install guide and not in a Debian-style (using debian packages)?

Thanks a lot for your help,
Tamas

Answers

  • GerbenRienkGerbenRienk Posts: 722 ✭✭✭
    Hi Tamas,
    So far I haven't used debian 8 because of the use of postgres 8, but given that limitation I always use apt-get for the JDK 7 and for postgresql.
    Then I manually install tomcat 7 in usr/local/tomcat7, as per the installation instructions.
    If you need more info on this, feel free to ask.
    Kind regards,
    Gerben Rienk
  • biohegedusbiohegedus Posts: 3
    Thanks. I also used debian packages. The key was simply to use tomcat7 instead of tomcat8.
Sign In or Register to comment.